Migration
The migration APIs power Kibana's Upgrade Assistant feature.
-
Create an index from a source index
Stack
8.18+
- POST also PUT /_create_from/{source}/{dest}
-
Reindex legacy backing indices
Stack
8.18+
- POST /_migration/reindex
-
Cancel a migration reindex operation
Stack
8.18+
- POST /_migration/reindex/{index}/_cancel
-
Get the migration reindexing status
Stack
8.18+
- GET /_migration/reindex/{index}/_status
-
Get feature migration information
Stack
7.16+
- GET /_migration/system_features
-
Start the feature migration
Stack
7.16+
- POST /_migration/system_features
-
Get deprecation information
Stack
6.1+
- GET /{index}/_migration/deprecations